关于AndroidStudio导入Module出现问题 DefaultGroovyMavenDeployer 的解决方法

2015年11月8日 由 Creater 留言 »

AndroidStudio在导入Module 时总是会出现各种问题。
比如:导入 GitHub  某一开源项目的 Library 时,经常会出现 类似以下的错误
No such property: XXXXX for class: org.gradle.api.publication.maven.internal.ant.DefaultGroovyMavenDeployer
这种错误 是由于 作者开发插件 与我们不统一造成的,所以只需要将  插件屏蔽掉就可以了。
由于 Module 只用一个Build.gradle文件来控制它这个module的编译规则,所以,在导入 Module之前,作以下几步就能成功导入:
1. 打开下载好的 Module 的Build.gradle 文件,只保留以下信息即可

apply plugin: 'android-library'

android {
    compileSdkVersion 21
    buildToolsVersion "21.1.2"

    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = ['src']
            res.srcDirs = ['res']
        }
    }
}

2. 进行导入的操作
3. 如果导入后,Studio 报错, 提示需要下载   buildTools XXX版本,或者下载 SDK XXX版本。
只需要在Studio的 《Project》模式下,修改 compileSdkVersion 或  buildToolsVersion 版本号为 当前使用的版本即可,如下:
compileSdkVersion 21
buildToolsVersion “21.1.2”

广告位

发表评论

你必须 登陆 方可发表评论.